<?
define("ADMIN_AUTHORIZATION",1);
include("../../includes/common.php");

$ip = $_GET['ip'];
?>
<HTML>
<HEAD>
<TITLE>Информация о IP <?=$ip?></TITLE>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
<link href="./admin.css" rel="stylesheet" type="text/css">
</HEAD>
<BODY>
<font class=text>
<?
if ($ip!="")
{
        $sock=fsockopen ("whois.ripe.net",43,$errno,$errstr);
        if (!$sock)
        {
                echo ($errstr($errno)."<br>");
        }
        else
        {
                fputs ($sock,$ip."\r\n");
                while (!feof($sock))
                {
                        echo (str_replace(":",":&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;",fgets ($sock,128))."<br>");
                }
        }
        fclose ($sock);
}
?>
</BODY>
</HTML>
